## gallia 2.0.0b2

=== docs/Makefile ===
# SPDX-FileCopyrightText: AISEC Pentesting Team
#
# SPDX-License-Identifier: CC0-1.0

# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
gallia (2.0.0b2-1) unstable; urgency=medium

  * Initial release. (Closes: #nnnn)
  * New upstream version 2.0.0b2

 -- Stefan Tatschner <stefan.tatschner@mailbox.org>  Fri, 10 Oct 2025 14:30:51 +0200

=== debian/control ===
Source: gallia
Section: net
Priority: optional
Maintainer: Stefan Tatschner <stefan.tatschner@mailbox.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3,
               python3-aiofiles,
               python3-aiosqlite,
               python3-argcomplete,
               python3-boltons,
               python3-construct,
               python3-docutils,
               python3-hatchling,
               python3-myst-parser,
               python3-platformdirs,
               python3-pydantic,
               python3-pytest,
               python3-pytest-asyncio,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-tabulate,
               python3-zstandard
Standards-Version: 4.7.0
Homepage: https://fraunhofer-aisec.github.io/gallia/
Vcs-Browser: https://salsa.debian.org/rumpelsepp/gallia
Vcs-Git: https://salsa.debian.org/rumpelsepp/gallia.git

Package: gallia
Architecture: all
# Is wireshark-common and git a Recommends?
Depends: git,
         iproute2,
         wireshark-common,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Description: Extendable Pentesting Framework
 Gallia is an extendable pentesting framework with the focus on the automotive
 domain. The scope of the toolchain is conducting penetration tests from a
 single ECU up to whole cars. Currently, the main focus lies on the UDS
 interface. Acting as a generic interface, the logging functionality implements
 reproducible tests and enables post-processing tasks.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
# export PYBUILD_VERBOSE=1
export PYBUILD_NAME=gallia

BUILD_FRAGMENTS := debian/build

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc

# autopkgtest is wired up instead with additional bats tests.
override_dh_auto_test:

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ $(BUILD_FRAGMENTS)/docs/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman  docs/ $(BUILD_FRAGMENTS)/docs/man  # Manpage generator

	# The register-python-argcomplete command is provided by python3-argcomplete.
	register-python-argcomplete -s bash gallia > $(BUILD_FRAGMENTS)/gallia-completion.bash
	register-python-argcomplete -s  zsh gallia > $(BUILD_FRAGMENTS)/gallia-completion.zsh
	register-python-argcomplete -s fish gallia > $(BUILD_FRAGMENTS)/gallia-completion.fish

execute_after_dh_auto_clean:
	$(RM) -r $(BUILD_FRAGMENTS)

execute_after_dh_auto_install-indep:
	# Install shell completion scripts.
	install -pD -m 0644 $(BUILD_FRAGMENTS)/gallia-completion.bash debian/gallia/usr/share/bash-completion/completions/gallia
	install -pD -m 0644 $(BUILD_FRAGMENTS)/gallia-completion.zsh  debian/gallia/usr/share/zsh/vendor-completions/_gallia
	install -pD -m 0644 $(BUILD_FRAGMENTS)/gallia-completion.fish debian/gallia/usr/share/fish/vendor_completions.d/gallia.fish

	# Install rendered documentation.
	mkdir -p debian/gallia/usr/share/doc/gallia/html
	cp -r $(BUILD_FRAGMENTS)/docs/html/* debian/gallia/usr/share/doc/gallia/html/

	# As of now, gallia does not provide manpages.
	# mkdir -p debian/gallia/usr/share/doc/gallia/man
	# cp -r $(BUILD_FRAGMENTS)/docs/man/*  debian/gallia/usr/share/doc/gallia/man/

## gallia 2.0.0b3

=== debian/changelog ===
gallia (2.0.0b3-1) unstable; urgency=medium

  * Initial release. (Closes: #1121779)

 -- Stefan Tatschner <stefan.tatschner@mailbox.org>  Wed, 03 Dec 2025 09:32:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: gallia
 Section: net
 Priority: optional
-Maintainer: Stefan Tatschner <stefan.tatschner@mailbox.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Stefan Tatschner <stefan.tatschner@mailbox.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3,
-               python3-aiofiles,
                python3-aiosqlite,
                python3-argcomplete,
                python3-boltons,
@@ -24,14 +24,13 @@
                python3-sphinx-rtd-theme,
                python3-tabulate,
                python3-zstandard
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://fraunhofer-aisec.github.io/gallia/
-Vcs-Browser: https://salsa.debian.org/rumpelsepp/gallia
-Vcs-Git: https://salsa.debian.org/rumpelsepp/gallia.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/gallia
+Vcs-Git: https://salsa.debian.org/python-team/packages/gallia.git
 
 Package: gallia
 Architecture: all
-# Is wireshark-common and git a Recommends?
 Depends: git,
          iproute2,
          wireshark-common,

## gallia 2.0.1

=== debian/changelog ===
gallia (2.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1121779)

 -- Stefan Tatschner <stefan.tatschner@mailbox.org>  Wed, 03 Dec 2025 09:32:48 +0100

=== debian/control ===
--- 
+++ 
@@ -13,15 +13,11 @@
                python3-argcomplete,
                python3-boltons,
                python3-construct,
-               python3-docutils,
                python3-hatchling,
-               python3-myst-parser,
                python3-platformdirs,
                python3-pydantic,
-               python3-pytest,
-               python3-pytest-asyncio,
-               python3-sphinx,
-               python3-sphinx-rtd-theme,
+               python3-pytest <!nocheck>,
+               python3-pytest-asyncio <!nocheck>,
                python3-tabulate,
                python3-zstandard
 Standards-Version: 4.7.2

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
# export PYBUILD_VERBOSE=1
export PYBUILD_NAME=gallia

%:
	dh $@ --buildsystem=pybuild

# autopkgtest is wired up instead with additional bats tests.
override_dh_auto_test:

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	mkdir -p debian/build
	register-python-argcomplete -s bash gallia > debian/build/gallia-completion.bash
	register-python-argcomplete -s zsh  gallia > debian/build/gallia-completion.zsh
	register-python-argcomplete -s fish gallia > debian/build/gallia-completion.fish

execute_after_dh_auto_install-indep:
	install -Dm644 debian/build/gallia-completion.bash \
	  debian/gallia/usr/share/bash-completion/completions/gallia
	install -Dm644 debian/build/gallia-completion.zsh \
	  debian/gallia/usr/share/zsh/vendor-completions/_gallia
	install -Dm644 debian/build/gallia-completion.fish \
	  debian/gallia/usr/share/fish/vendor_completions.d/gallia.fish

	mkdir -p debian/gallia/usr/share/doc/gallia
	cp -r docs debian/gallia/usr/share/doc/gallia/
	
	find debian/gallia/usr/share -iname .gitignore -delete

execute_after_dh_auto_clean:
	$(RM) -r $(BUILD_FRAGMENTS)

=== debian/tests/control ===
Tests: bats, pytest
Depends: bats, jq, python3-pytest, python3-pytest-asyncio, sqlite3, zstd, @
Restrictions: allow-stderr

=== debian/watch ===
# See uscan(1) for format.

version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/Fraunhofer-AISEC/gallia/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## gallia 2.0.2

=== debian/changelog ===
gallia (2.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1121779)

 -- Stefan Tatschner <stefan.tatschner@mailbox.org>  Wed, 31 Dec 2025 10:27:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefan Tatschner <stefan.tatschner@mailbox.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
@@ -20,8 +19,8 @@
                python3-pytest-asyncio <!nocheck>,
                python3-tabulate,
                python3-zstandard
-Standards-Version: 4.7.2
-Homepage: https://fraunhofer-aisec.github.io/gallia/
+Standards-Version: 4.7.3
+Homepage: https://github.com/Fraunhofer-AISEC/gallia
 Vcs-Browser: https://salsa.debian.org/python-team/packages/gallia
 Vcs-Git: https://salsa.debian.org/python-team/packages/gallia.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
# export PYBUILD_VERBOSE=1
export PYBUILD_NAME=gallia

%:
	dh $@ --buildsystem=pybuild

# autopkgtest is wired up instead with additional bats tests.
override_dh_auto_test:

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9

override_dh_auto_install:
	register-python-argcomplete -s bash gallia | \
		install -Dm644 /dev/stdin debian/gallia/usr/share/bash-completion/completions/gallia
	register-python-argcomplete -s zsh  gallia | \
		install -Dm644 /dev/stdin debian/gallia/usr/share/zsh/vendor-completions/_gallia
	register-python-argcomplete -s fish gallia | \
		install -Dm644 /dev/stdin debian/gallia/usr/share/fish/vendor_completions.d/gallia.fish

	find debian/gallia -name ".gitignore" -delete

	dh_auto_install

=== debian/watch ===
Version: 5
Template: GitHub
Owner: Fraunhofer-AISEC
Project: gallia
